/*@media*/
/*only screen*/
/*and (max-width: 760px), (min-device-width: 768px)*/
/*and (max-device-width: 1024px)  {*/

/*  !* Force table to not be like tables anymore *!*/
/*  table, thead, tbody, th, td, tr {*/
/*    display: block;*/
/*  }*/

/*  !* Hide table headers (but not display: none;, for accessibility) *!*/
/*  thead tr {*/
/*    position: absolute;*/
/*    top: -9999px;*/
/*    left: -9999px;*/
/*  }*/

/*  tr {*/
/*    margin: 0 0 1rem 0;*/
/*  }*/

/*  tr:nth-child(odd) {*/
/*    background: #ccc;*/
/*  }*/

/*  td {*/
/*    !* Behave  like a "row" *!*/
/*    border: none;*/
/*    border-top: none !important;*/
/*    border-bottom: 1px solid #eee;*/
/*    position: relative;*/
/*    padding-left: 50%;*/
/*  }*/

/*  td:before {*/
/*    !* Now like a table header *!*/
/*    position: absolute;*/
/*    !* Top/left values mimic padding *!*/
/*    top: 0;*/
/*    left: 6px;*/
/*    width: 45%;*/
/*    padding-right: 10px;*/
/*    white-space: nowrap;*/
/*  }*/

/*  !**/
/*  Label the data*/
/*  You could also use a data-* attribute and content for this. That way "bloats" the HTML, this way means you need to keep HTML and CSS in sync. Lea Verou has a clever way to handle with text-shadow.*/
/*  *!*/
/*  #reception td:nth-of-type(1):before { content: "Je dois recevoir de"; }*/
/*  #endettement td:nth-of-type(1):before { content: "Je dois à"; }*/
/*  td:nth-of-type(2):before { content: "Un montant de"; }*/
/*  td:nth-of-type(3):before { content: "Pour"; }*/
/*  #reception td:nth-of-type(4):before { content: ""; }*/

/*}*/
/*td {*/
/*  !* Behave  like a "row" *!*/
/*  border-top: 2px solid #000000;*/
/*}*/
/*td, th{*/
/*  text-align: left;*/
/*  padding-right: 100px;*/
/*}*/

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none !important;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield !important;
}


.custom-input{
  border-bottom: 2px solid red !important;
}

input.form__field, .custom-form__field input {
  font-family: inherit;
  border: 0;
  border-bottom: 2px solid rgb(63, 81, 181);
  outline: 0;
  font-size: 1.3rem;
  color: #000000;
  padding: 7px 0;
  background: transparent;
  transition: border-color 0.2s;

}

.custom-form__container{
  width: 100%;
}
.custom-form__libelle{
  display: inline-block;
  width: calc(50% - 10px);
  margin-right: 5px;
  text-align: right;
}
.custom-form__field{
  display: inline-block;
  width: calc(50% - 10px);
  margin-left: 5px;
  text-align: left;
}


@media screen and (min-width: 429px) and (max-width: 767px) {

  .custom-form__libelle{
    width: calc(50% - 40px);
    margin-right: 20px;
  }
  .custom-form__field{
    width: calc(50% - 40px);
    margin-left: 20px;
  }
}
@media screen and (min-width: 768px) {

  .custom-form__libelle{
    width: calc(50% - 100px);
    margin-right: 60px;
  }
  .custom-form__field{
    width: calc(50% - 100px);
    margin-left: 60px;
  }
}


.custom-form__field input{
  width: 100%;
}

.form__field{
  display: inline-block;
  width: calc(50% - 40px);
  margin-left: 20px;
}

.mat-form-field.form__field{
  max-height: 2px;
}


.form__libelle{
  display: inline-block;
  vertical-align: baseline;
  width: calc(50% - 40px);
  margin-left: 20px;
  text-align: right;
}

.close.mat-button {
  position: absolute;
  top: 0;
  right: 0;
  padding: 5px;
  line-height: 14px;
  min-width: auto;
}
.formAchat mat-divider{
  padding-bottom: 10px;
}



@media screen and (min-width: 429px) {
  .form__field{
    margin-top: -9px;
  }
}

.mat-option{
  text-align: right;
}


#reception .large-cell{
  min-width: 500px;
}
#reception .mid-cell{
  min-width: 150px;
}
#reception tr:nth-of-type(odd) { background: #CCC; }
#reception .fixed-side:nth-of-type(odd) { background: #CCC; }
#reception.table-scroll {
  position:relative;
  margin:auto;
  overflow:hidden;
  border:1px solid #000;
}
#reception .table-wrap {
  width:100%;
  overflow:auto;
}
#reception.table-scroll table {
  width:100%;
  margin:auto;
  border-collapse:separate;
  border-spacing:0;
}
#reception.table-scroll th, #reception.table-scroll td {
  padding:5px 10px;
  border:1px solid #000;
  /*background:#fff;*/
  white-space:nowrap;
  vertical-align:top;
}
#reception.table-scroll thead, #reception.table-scroll tfoot {
  background:#f9f9f9;
}
#reception .clone {
  position:absolute;
  top:0;
  left:0;
  pointer-events:none;
}
#reception .clone th, #reception .clone td {
  visibility:hidden
}
#reception .clone td, #reception .clone th {
  border-color:transparent
}
#reception .clone tbody th {
  visibility:visible;
  color:red;
}
#reception .clone .fixed-side {
  border:1px solid #000;
  background:#eee;
  visibility:visible;
}
#reception .clone thead, #reception .clone tfoot{background:transparent;}








#endettement .large-cell{
  min-width: 500px;
}
#endettement .mid-cell{
  min-width: 150px;
}
#endettement tr:nth-of-type(odd) { background: #CCC; }
#endettement .fixed-side:nth-of-type(odd) { background: #CCC; }
#endettement.table-scroll {
  position:relative;
  margin:auto;
  overflow:hidden;
  border:1px solid #000;
}
#endettement .table-wrap {
  width:100%;
  overflow:auto;
}
#endettement.table-scroll table {
  width:100%;
  margin:auto;
  border-collapse:separate;
  border-spacing:0;
}
#endettement.table-scroll th, #endettement.table-scroll td {
  padding:5px 10px;
  border:1px solid #000;
  /*background:#fff;*/
  white-space:nowrap;
  vertical-align:top;
}
#endettement.table-scroll thead, #endettement.table-scroll tfoot {
  background:#f9f9f9;
}
#endettement .clone {
  position:absolute;
  top:0;
  left:0;
  pointer-events:none;
}
#endettement .clone th, #endettement .clone td {
  visibility:hidden
}
#endettement .clone td, #endettement .clone th {
  border-color:transparent
}
#endettement .clone tbody th {
  visibility:visible;
  color:red;
}
#endettement .clone .fixed-side {
  border:1px solid #000;
  background:#eee;
  visibility:visible;
}
#endettement .clone thead, #endettement .clone tfoot{background:transparent;}

/*#endettement{*/
/*  height: 1000000000px;*/
/*  visibility: visible;*/
/*}*/






